KDE 4.7 PyKDE API Reference

- KDE's Python API

# KDateValidator Class Reference

`from PyKDE4.kdeui import *`

Inherits: QValidator → QObject

## Detailed Description

Validates user-entered dates.

## Methods
| __init__ (self, QWidget parent=0)
QValidator::State | date (self, QString text, QDate date)
| fixup (self, QString input)
QValidator::State | validate (self, QString text, int e)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

QValidator::State date | ( | self, |
|  | QString | text,
|  | QDate | date
| ) |  |  |

fixup | ( | self, |
|  | QString | input
| ) |  |  |

QValidator::State validate | ( | self, |
|  | QString | text,
|  | int | e
| ) |  |  |